package cn.timer.api.dto.spmk;

import java.util.Date;
import java.util.List;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import cn.hutool.json.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ApprovingDto {
	
	@ApiModelProperty(value = "审批汇总id", example = "2")
	private Integer asId;
	
	@ApiModelProperty(value = "审批执行记录id", example = "10")
	private Integer executeRecordId;
	
	@ApiModelProperty(value = "执行人记录id", example = "10")
	private Integer executorId;
	
	@ApiModelProperty(value = "意见", example = "MMMMMMMM")
	private String opinion;
	
	@ApiModelProperty(value = "状态 2同意 3拒绝", example = "2")
	private Integer sts;
	
}
